#include <string.h>
#include <stdlib.h>
#include <sys/stat.h>
#include "wte.h"

char *get_path()
{
  const char *home = getenv("HOME");
  char *path = NULL;
  if (home) {
    size_t path_len = strlen(home) + sizeof(DATA_DIR);
    path = malloc(sizeof(char) * path_len);
    if (path) {
      snprintf(path, path_len, "%s" DATA_DIR, home);
    dbg("path: %s", path);
    }
  }
  return path;
}

int create_data_dir()
{
  int ret = 0;
  struct stat st;
  int dir_exists = stat(DATA_DIR, &st);
  if (-1 == dir_exists) {
    char *path = get_path();
    if (path && 0 != (ret = mkdir(path, 0700))) {
      error("%s", "failed to create directory");
    } else {
      info("%s", "created data directory");
    }
    free(path);
  }
  return ret;
}

static int remove_file()
{
  int ret = 0;
  return ret;
}

int remove_data_dir()
{
  int ret = 0;
  ret = remove_file();
  char *path = get_path();
  if (path) {
    // here: for loop to delete all entries in directory
    ret = remove(path);
    if (0 == ret) {
      info("%s", "removed data directory");
    } else {
      error("%s", "failed to remove data directory");
    }
    free(path);
  }
  dbg("ret: %d", ret);
  return ret;
}
