#include <stdio.h>
#define error(format, ...) do {\
  fprintf(stderr, c_red format c_end"\n", __VA_ARGS__); \
} while(0)

#define info(format, ...) do {\
  fprintf(stdout, c_blue format c_end "\n", __VA_ARGS__); \
} while(0);

#ifdef DEBUG
#define dbg(format, ...) do { \
  printf(c_bold c_lila"[DEBUG] (func: %s) msg: " c_end c_lila format c_end "\n",__func__, __VA_ARGS__); \
} while(0)
#else
#define dbg(format, ...)
#endif

/* easy colors */
#define c_red "\033[31m"
#define c_green "\033[32m"
#define c_yellow "\033[33m"
#define c_blue "\033[34m"
#define c_lila "\033[35m"
#define c_bold "\033[1m"
#define c_end "\033[0m"

/* path to data storage */
#define DATA_DIR "/.local/share/wte"

/* get full path to data storage (with "/home/$USER/"-prefix) */
char *get_path();

/* data storage creation / deletion */
int create_data_dir();
int remove_data_dir();

/* operating on data storage */
int insert_choice();
int remove_choice();
